Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.model
Class Parameter

    java.lang.Object
      com.sun.jersey.api.model.Parameter

    public class Parameter

extends java.lang.Object

Abstraction for a method/constructor parameter

Nested Class Summary
`static class` | `Parameter.Source`

Constructor Summary
`Parameter(java.lang.annotation.Annotation[] as, java.lang.annotation.Annotation a, Parameter.Source source, java.lang.String sourceName, java.lang.reflect.Type type, java.lang.Class<?> clazz)`
`Parameter(java.lang.annotation.Annotation[] as, java.lang.annotation.Annotation a, Parameter.Source source, java.lang.String sourceName, java.lang.reflect.Type type, java.lang.Class<?> clazz, boolean encoded)`
`Parameter(java.lang.annotation.Annotation[] as, java.lang.annotation.Annotation a, Parameter.Source source, java.lang.String sourceName, java.lang.reflect.Type type, java.lang.Class<?> clazz, boolean encoded, java.lang.String defaultValue)`
`Parameter(java.lang.annotation.Annotation[] as, java.lang.annotation.Annotation a, Parameter.Source source, java.lang.String sourceName, java.lang.reflect.Type type, java.lang.Class<?> clazz, java.lang.String defaultValue)`

Method Summary
`java.lang.annotation.Annotation` | `getAnnotation()`
`java.lang.annotation.Annotation[]` | `getAnnotations()`
`java.lang.String` | `getDefaultValue()`
`java.lang.Class<?>` | `getParameterClass()`
`java.lang.reflect.Type` | `getParameterType()`
`Parameter.Source` | `getSource()`
`java.lang.String` | `getSourceName()`
`boolean` | `hasDefaultValue()`
`boolean` | `isEncoded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter(java.lang.annotation.Annotation[] as,
                     java.lang.annotation.Annotation a,
                     Parameter.Source source,
                     java.lang.String sourceName,
                     java.lang.reflect.Type type,
                     java.lang.Class<?> clazz)

### Parameter

    public Parameter(java.lang.annotation.Annotation[] as,
                     java.lang.annotation.Annotation a,
                     Parameter.Source source,
                     java.lang.String sourceName,
                     java.lang.reflect.Type type,
                     java.lang.Class<?> clazz,
                     boolean encoded)

### Parameter

    public Parameter(java.lang.annotation.Annotation[] as,
                     java.lang.annotation.Annotation a,
                     Parameter.Source source,
                     java.lang.String sourceName,
                     java.lang.reflect.Type type,
                     java.lang.Class<?> clazz,
                     java.lang.String defaultValue)

### Parameter

    public Parameter(java.lang.annotation.Annotation[] as,
                     java.lang.annotation.Annotation a,
                     Parameter.Source source,
                     java.lang.String sourceName,
                     java.lang.reflect.Type type,
                     java.lang.Class<?> clazz,
                     boolean encoded,
                     java.lang.String defaultValue)

Method Detail

### getAnnotations

    public java.lang.annotation.Annotation[] getAnnotations()

### getAnnotation

    public java.lang.annotation.Annotation getAnnotation()

### getSource

    public Parameter.Source getSource()

### getSourceName

    public java.lang.String getSourceName()

### isEncoded

    public boolean isEncoded()

### hasDefaultValue

    public boolean hasDefaultValue()

### getDefaultValue

    public java.lang.String getDefaultValue()

### getParameterClass

    public java.lang.Class<?> getParameterClass()

### getParameterType

    public java.lang.reflect.Type getParameterType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.